Skip to main content
GET
Get Wallet By Locator

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>

Response

The record has been successfully retreived.

Complete wallet configuration including type-specific settings

type
enum<string>
required

The type of wallet configuration

Available options:
evm-smart-wallet
config
object
required

EVM smart wallet type specific configuration settings

address
string
required

The onchain address of the wallet

Example:

"0x1234567890123456789012345678901234567890"

linkedUser
string

The user that is linked to this wallet in format :

Example:

"email:test@test.com"

createdAt
number

ISO timestamp of when the wallet was created

Example:

"2024-01-01T00:00:00.000Z"